package nianioTest.nianio.types;

import nianio.SelectFileExtCmd;
import nianio.SelectFileExtCmds;
import ocean.common.Err;

public class SelectFileExtCmdAcc {
	private SelectFileExtCmds resOrNull = SelectFileExtCmds.EMPTY;

	private class MyMM implements SelectFileExtCmd.MM {
		public void invoke(SelectFileExtCmd cmd) {
			doInvoke(cmd);
		}
	}

	public SelectFileExtCmd.MMIntf getMMIntf() {
		return SelectFileExtCmd.MMConv.asIntf(new MyMM());
	}

	public SelectFileExtCmd.MM getMM() {
		return new MyMM();
	}

	public SelectFileExtCmds getResult() {
		SelectFileExtCmds res = resOrNull;
		resOrNull = null;
		Err.ensure(res != null);
		return res;
	}

	private void doInvoke(SelectFileExtCmd cmd) {
		SelectFileExtCmds res = resOrNull;
		Err.ensure(res != null);
		res = res.add(cmd);
		resOrNull = res;
	}
}
