#!/usr/bin/perl

use Imm;

sub output {
	my (%msg) = @_;
	print "#", Imm::value('iden', %msg);
	print "  ", Imm::value('path', %msg);
	my $line = Imm::value('line', %msg);
	if ($line ne "-1") {
		print ":", $line;
	}
	print "\n  ", Imm::value('desc', %msg), "\n\n";
}

$error=0;
print "--minik--F:/minik/doc/faq.doc--\n";
while(my $line = <>) {
	%msg = Imm::get($line);

	$type = Imm::value('type', %msg);
	if ($type eq 'error') {
		output(%msg);
		$error++;
	} elsif ($type eq 'warning') {
	} else {
		die "unknown type: ", $type;
	}
}
print "--------------end--------------\n";
if ($error != 0) {
	die "find $error minik errors\n";
}