#!/usr/bin/perl

use Imm;

sub getId {
	my (%msg) = @_;
	$iden = Imm::value('iden', %msg);
	$elem = Imm::value('elem', %msg);
	return $iden.$elem;
}

sub hasMsg {
	my ($id, %msgs) = @_;
	return $msgs{Imm::value('path', %msg)}->{$id} || 0;
}

my $msgsFile = $ARGV[0] or die "USAGE: $0 file_with_messages\n";
shift;

open IN, "<$msgsFile" or die "No file $msgsFile";
for my $line (<IN>) {
	%msg = Imm::get($line);
	
	$id = getId(%msg);
	$path = Imm::value('path', %msg);
	
	$tmpref = $msgs{$path};
	if (ref $tmpref eq "HASH") {
		$tmpref->{$id} = 1;
	} else {
		my %tmp = ($id => 1);
		$msgs{$path} = \%tmp;
	}
}
close IN;

open $OUT, ">-";
while(my $line = <>) {
	%msg = Imm::get($line);
	$id = getId(%msg);
	if (!hasMsg($id, %msgs)) {
		Imm::print($OUT, %msg);
	}
}
close $OUT;
